This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763237 - (GLUSTER-1505) volume create/add-brick requires ip or hostname for localhost
volume create/add-brick requires ip or hostname for localhost
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 02:40 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2010-09-02 02:40:29 EDT
Prevent volume create/add-brick from proceeding if localhost or "127.0.0.1" is specified as the host identifier. A valid hostname or ipaddress needs to be given.

This is to prevent invalid volfiles being created on other glusterd as localhost/127.0.0.1 is specified.
Comment 1 Vijay Bellur 2010-09-06 02:21:39 EDT
PATCH: http://patches.gluster.com/patch/4542 in master (Volume create hostname should not be localhost)
Comment 2 Vijay Bellur 2010-09-06 02:21:43 EDT
PATCH: http://patches.gluster.com/patch/4543 in master (Add brick hostname should not be localhost)
Comment 3 Lakshmipathi G 2010-09-06 22:56:15 EDT
verified with 3.1.0qa16.


#gluster volume create local localhost:/mnt/a3 localhost:/mnt/a4
Please provide a valid hostname/ip other localhost or 127.0.0.1
Usage: volume create <NEW-VOLNAME> [stripe <COUNT>] [replica <COUNT>] [transport <tcp|rdma>] <NEW-BRICK> ...
Creating Volume local failed

Note You need to log in before you can comment on or make changes to this bug.